import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/employeeCategory/` + url, ...arg)

/**
 * 员工分类Api接口管理器
 *
 * @author Luck
 * @date  2024/07/23 17:05
 **/
export default {
	// 获取员工分类分页
	employeeCategoryPage(data) {
		return request('page', data, 'get')
	},
	// 获取员工分类 树结构
	employeeCategoryTree(data) {
		return request('tree', data, 'get')
	},
	// 提交员工分类表单 edit为true时为编辑，默认为新增
	employeeCategorySubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除员工分类
	employeeCategoryDelete(data) {
		return request('delete', data)
	},
	// 获取员工分类详情
	employeeCategoryDetail(data) {
		return request('detail', data, 'get')
	}
}
